<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class SendMails extends Mailable
{
    use Queueable, SerializesModels;
    public $data;
    public $data2;
    public $subject;
    public $template;
    public $fromemail;
    public $fromname;
    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($data2,$data,$subject,$template,$fromemail,$fromname)
    {
        //
        $this->data=$data;
        $this->data2=$data2;
        $this->subject=$subject;
        $this->template=$template;
        $this->fromemail=$fromemail;
        $this->fromname=$fromname;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        return $this->subject($this->subject)
                    ->from($this->fromemail, $this->fromname)
                    ->view($this->template)
                    ->with([
                        'data' =>$this->data,
                        'data2' => $this->data2
                       ]);
    }
}
